Summary:	GeoLite IPASNum - IP to AS number translation database for GeoIP
Summary(pl.UTF-8):	GeoLite IPASNum - baza danych tłumaczeń adresów IP na numery AS dla GeoIP
Name:		GeoIP-db-IPASNum
# Updated every month:
Version:	2018.01.06
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://download.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz?/GeoIPASNum-%{version}.dat.gz
# Source0-md5:	6f79b1bf7356cc2b717e71e588ecac76
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains IPv4 to AS number translation database for
GeoIP.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych tłumaczeń adresów IPv4 na numery AS dla
GeoIP.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} GeoIPASNum.dat.gz
gunzip GeoIPASNum.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoIPASNum.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIPASNum.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Sat Jan 06 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/GeoIP-db-IPASNum.git;a=log;h=master

* Sat Jan 06 2018 Elan Ruusamäe <glen@pld-linux.org> d2c257b
- updated to 2018.01.06

* Sat Dec 30 2017 Elan Ruusamäe <glen@pld-linux.org> ea30a76
- updated to 2017.12.30

* Sat Dec 23 2017 Elan Ruusamäe <glen@pld-linux.org> f63b18c
- updated to 2017.12.23

* Sat Dec 16 2017 Elan Ruusamäe <glen@pld-linux.org> cd18545
- updated to 2017.12.16

* Sat Dec 09 2017 Elan Ruusamäe <glen@pld-linux.org> 80a3dd6
- updated to 2017.12.09

* Sat Dec 02 2017 Elan Ruusamäe <glen@pld-linux.org> 0e07b59
- updated to 2017.12.02

* Sat Nov 25 2017 Elan Ruusamäe <glen@pld-linux.org> 7285071
- updated to 2017.11.25

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 09b4729
- updated to 2017.11.18

* Sat Nov 11 2017 Elan Ruusamäe <glen@pld-linux.org> 59bbcda
- updated to 2017.11.11

* Sat Nov 04 2017 Elan Ruusamäe <glen@pld-linux.org> 30451ae
- updated to 2017.11.04

* Sat Oct 28 2017 Elan Ruusamäe <glen@pld-linux.org> 29b679b
- updated to 2017.10.28

* Sat Oct 21 2017 Elan Ruusamäe <glen@pld-linux.org> 3742249
- updated to 2017.10.21

* Sat Oct 14 2017 Elan Ruusamäe <glen@pld-linux.org> 94ac28e
- updated to 2017.10.14

* Sat Oct 07 2017 Elan Ruusamäe <glen@pld-linux.org> c983f28
- updated to 2017.10.07

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> cb3b5c4
- release 2 (by relup.sh)

* Sat Sep 23 2017 Elan Ruusamäe <glen@pld-linux.org> 0651e95
- updated to 2017.09.23

* Sat Sep 16 2017 Elan Ruusamäe <glen@pld-linux.org> 1477de0
- updated to 2017.09.16

* Sat Sep 09 2017 Elan Ruusamäe <glen@pld-linux.org> 1a547a1
- updated to 2017.09.09

* Sat Sep 02 2017 Elan Ruusamäe <glen@pld-linux.org> 90e7362
- updated to 2017.09.02

* Sat Aug 26 2017 Elan Ruusamäe <glen@pld-linux.org> 7ffe526
- updated to 2017.08.26

